package de.avatic.taricdb.helper.workbook.wrapper;

import de.avatic.taricdb.model.AppliedMeasureCondition;

import java.time.LocalDate;

public class AppliedMeasureConditionWrapper {

	private AppliedMeasureCondition appliedMeasureCondition;
	private String hsCode;
	private String originCode;
	private String additionalCode;
	private String orderNumber;
	private Integer measureCode;

    private LocalDate startDate;
    private LocalDate endDate;


	public AppliedMeasureConditionWrapper(AppliedMeasureCondition appliedMeasureCondition, String hsCode, String originCode, String additionalCode, String orderNumber, Integer measureCode, LocalDate startDate, LocalDate endDate) {
		this.appliedMeasureCondition = appliedMeasureCondition;
		this.hsCode = hsCode;
		this.originCode = originCode;
		this.additionalCode = additionalCode;
		this.orderNumber = orderNumber;
		this.measureCode = measureCode;
        this.startDate = startDate;
        this.endDate = endDate;
	}

	public AppliedMeasureCondition getAppliedMeasureCondition() {
		return appliedMeasureCondition;
	}

	public String getOrderNumber() {
		return orderNumber;
	}

	public String getHsCode() {
		return hsCode;
	}

	public String getOriginCode() {
		return originCode;
	}

	public String getAdditionalCode() {
		return additionalCode;
	}

	public Integer getMeasureCode() {
		return measureCode;
	}

    public LocalDate getStartDate() {
        return startDate;
    }

    public LocalDate getEndDate() {
        return endDate;
    }
}
